Add code coverage report in jenkins job 39/27339/6
authorrohitsakala <rohitsakala@gmail.com>
Sat, 21 Jan 2017 16:00:33 +0000 (21:30 +0530)
committerrohitsakala <rohitsakala@gmail.com>
Mon, 23 Jan 2017 06:35:02 +0000 (12:05 +0530)
Modified existing bash script to enable code coverage report in jenkins
job. Removed test-requirements.txt.

JIRA: FUNCTEST-703

Change-Id: I7ea6b5c87ce7d098dcb0c74ed195db0f6c3b9692
Signed-off-by: rohitsakala <rohitsakala@gmail.com>
jjb/releng/testapi-automate.yml
jjb/releng/testapi-run-tests.sh [deleted file]
utils/test/testapi/run_test.sh
utils/test/testapi/test-requirements.txt [deleted file]

index c038352..25ee687 100644 (file)
     builders:
         - run-unit-tests
 
+    publishers:
+        - junit:
+            results: nosetests.xml
+        - cobertura:
+            report-file: "coverage.xml"
+            only-stable: "true"
+            health-auto-update: "true"
+            stability-auto-update: "true"
+            zoom-coverage-chart: "true"
+            targets:
+                - files:
+                    healthy: 10
+                    unhealthy: 20
+                    failing: 30
+                - method:
+                    healthy: 50
+                    unhealthy: 40
+                    failing: 30
+
 - job-template:
     name: 'testapi-automate-{stream}'
 
     name: run-unit-tests
     builders:
         - shell: |
-            bash ./jjb/releng/testapi-run-tests.sh
+            bash ./utils/test/testapi/run_test.sh
 
 - builder:
     name: docker-update
diff --git a/jjb/releng/testapi-run-tests.sh b/jjb/releng/testapi-run-tests.sh
deleted file mode 100644 (file)
index 47691ed..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-set -o errexit
-
-echo "Running unit tests..."
-
-# Creating virtual environment
-virtualenv $WORKSPACE/testapi_test_venv
-source $WORKSPACE/testapi_test_venv/bin/activate
-
-cd $WORKSPACE/utils/test/testapi/
-
-# Install requirements
-pip install -r requirements.txt
-pip install -r test-requirements.txt
-
-# Run unit tests
-bash run_test.sh
index 9b25f8f..d1f05f2 100755 (executable)
@@ -1,10 +1,40 @@
-#! /bin/bash
+#!/bin/bash
 
-# Before run this script, make sure that testtools and discover
-# had been installed in your env
-# or else using pip to install them as follows:
-# pip install testtools, discover
+set -o errexit
+
+# Get script directory
+SCRIPTDIR=`dirname $0`
+
+# Either Workspace is set (CI)
+if [ -z $WORKSPACE ]
+then
+    WORKSPACE="."
+fi
+
+echo "Running unit tests..."
+
+# Creating virtual environment
+virtualenv $WORKSPACE/testapi_venv
+source $WORKSPACE/testapi_venv/bin/activate
+
+# Install requirements
+pip install -r $SCRIPTDIR/requirements.txt
 
 find . -type f -name "*.pyc" -delete
-testrargs="discover ./opnfv_testapi/tests/unit"
-python -m testtools.run $testrargs
+
+nosetests --with-xunit \
+    --with-coverage \
+    --cover-erase \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/cmd \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/commonn \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/resources \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/router \
+    --cover-xml \
+    --cover-html \
+    $SCRIPTDIR/opnfv_testapi/tests
+
+exit_code=$?
+
+deactivate
+
+exit $exit_code
diff --git a/utils/test/testapi/test-requirements.txt b/utils/test/testapi/test-requirements.txt
deleted file mode 100644 (file)
index ddbdefc..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
-testtools>=1.4.0
-discover
-futures
\ No newline at end of file